import { Component, h } from '@stencil/core';
import { Button, Grid, Col, Card, CardContent, Heading, Paragraph } from '../../ds';
export class Demo {
    render() {
        return (h("div", { class: "demos" },
            h(ButtonDemo, null),
            h(HeadingDemo, null),
            h(GridDemo, null),
            h(CardDemo, null)));
    }
    static get is() { return "shared-demo"; }
    static get originalStyleUrls() { return {
        "$": ["demo.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["demo.css"]
    }; }
}
const ButtonDemo = () => (h("div", { class: "demo demo-button" },
    h(Heading, { level: 3, bordered: true }, "Buttons"),
    h(Button, null, "Button")));
const HeadingDemo = () => (h("div", { class: "demo demo-heading" },
    h(Heading, { level: 3, bordered: true }, "Headings"),
    h(Heading, { level: 1 }, "Level 1"),
    h(Heading, { level: 2 }, "Level 2"),
    h(Heading, { level: 3 }, "Level 3"),
    h(Heading, { level: 4 }, "Level 4"),
    h(Heading, { level: 5 }, "Level 5")));
const GridDemo = () => (h("div", { class: "demo demo-grid" },
    h(Heading, { level: 3, bordered: true }, "Grid"),
    h(Grid, { class: "demo demo-grid" },
        h(Col, { md: 3, sm: 3, xs: 3, cols: 12 }, "Column 1"),
        h(Col, { md: 3, sm: 3, xs: 3, cols: 12 }, "Column 2"),
        h(Col, { md: 3, sm: 3, xs: 3, cols: 12 }, "Column 3"),
        h(Col, { md: 3, sm: 3, xs: 3, cols: 12 }, "Column 4"))));
const CardDemo = () => (h("div", { class: "demo demo-card" },
    h(Heading, { level: 3, bordered: true }, "Cards"),
    h(Card, null,
        h(CardContent, null,
            h("hgroup", null,
                h(Heading, { level: 3 }, "Card"),
                h(Paragraph, null, "Unicorn next level roof party health goth, squid brooklyn pabst biodiesel kickstarter man bun small batch kale chips flexitarian. Edison bulb selfies mumblecore ethical, helvetica affogato palo santo. Taxidermy humblebrag hexagon, pabst stumptown PBR&B succulents. Lumbersexual fam shabby chic cardigan lomo quinoa put a bird on it salvia authentic hell of migas aesthetic truffaut gentrify tattooed. Migas direct trade polaroid distillery, ugh brunch farm-to-table fingerstache vaporware readymade occupy aesthetic four dollar toast. Freegan lyft vegan ramps vexillologist taxidermy listicle vinyl blue bottle pug."))))));
